WebXml2Jk.MappingGenerator (Tomcat API Documentation)
Keywords: org.apache.jk.config.WebXml2Jk.MappingGenerator interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jk.config
Interface WebXml2Jk.MappingGenerator

All Known Implementing Classes:
  GeneratorApache2, GeneratorJk1, GeneratorJk2

Enclosing interface:
  WebXml2Jk

public static interface WebXml2Jk.MappingGenerator

Method Summary
`void` | `generateConstraints(java.util.Vector urls, java.util.Vector methods, java.util.Vector roles, boolean isSSL)`
`void` | `generateEnd()`
`void` | `generateErrorPage(int err, java.lang.String location)`
`void` | `generateFilterMapping(java.lang.String servlet, java.lang.String url)`
`void` | `generateLoginConfig(java.lang.String loginPage, java.lang.String errPage, java.lang.String authM)`
`void` | `generateServletMapping(java.lang.String servlet, java.lang.String url)`
`void` | `generateStart()` Start section( vhost declarations, etc )
`void` | `setWebXmlReader(WebXml2Jk wxml)`

Method Detail

### setWebXmlReader

    public void setWebXmlReader(WebXml2Jk wxml)

### generateStart

    public void generateStart()
                       throws java.io.IOException

  Start section( vhost declarations, etc )

  Throws:
    `java.io.IOException`

### generateEnd

    public void generateEnd()
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateServletMapping

    public void generateServletMapping(java.lang.String servlet,
                                       java.lang.String url)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateFilterMapping

    public void generateFilterMapping(java.lang.String servlet,
                                      java.lang.String url)
                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateLoginConfig

    public void generateLoginConfig(java.lang.String loginPage,
                                    java.lang.String errPage,
                                    java.lang.String authM)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateErrorPage

    public void generateErrorPage(int err,
                                  java.lang.String location)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### generateConstraints

    public void generateConstraints(java.util.Vector urls,
                                    java.util.Vector methods,
                                    java.util.Vector roles,
                                    boolean isSSL)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.